package {{.Option "name"}}

import (
	"shylinux.com/x/ice"
	kit "shylinux.com/x/toolkits"

	"{{.Option "module"}}/model"
)

type {{.Option "table"}} struct {
	Table
	{{.Option "class"}}     {{.Option "class"}}
	user{{.Option "Class"}} user{{.Option "Class"}}
	create    string `name:"create title* content*" role:"leader"`
}

func (s {{.Option "table"}}) Create(m *ice.Message, arg ...string) {
	s.Table.Create(m, kit.Simple(arg, m.OptionSimple(model.USER_UID, model.{{.Option "CLASS"}}_UID))...)
	s.RecordEventWithName(m, "")
}
func (s {{.Option "table"}}) List(m *ice.Message, arg ...string) {
	s.TablesWithRole(m, arg, s.user{{.Option "Class"}}, s.{{.Option "class"}}, s, model.TITLE, model.CONTENT).Display("")
}

func init() { ice.TeamCtxCmd({{.Option "table"}}{}) }
