package yuehaoxitong

import "shylinux.com/x/ice"

type queue struct{ Table }

func init() { ice.TeamCtxCmd(queue{}) }

type QueueType int

const (
	QueuePublic QueueType = iota
	QueuePrivate
)

var QueueTypeList = map[QueueType]string{
	QueuePublic:  "public",
	QueuePrivate: "private",
}

func (s QueueType) String() string { return QueueTypeList[s] }
